Get concession by ID
https://api.propexo.com/v1/concessions/:concession_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the concession
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method |
|---|
| propertyunits/getSpecials |
321The external ID of the property from the integration vendor
| Method |
|---|
| propertyunits/getSpecials |
567The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for ENTRATA
nullThe external ID of the unit from the integration vendor
| Method |
|---|
| propertyunits/getSpecials |
729The external ID of the floor plan from the integration vendor
| Method |
|---|
| propertyunits/getSpecials |
12354The total amount of the concession
| Method |
|---|
| propertyunits/getSpecials |
23000The start date associated with the concession
| Method |
|---|
| propertyunits/getSpecials |
2025-01-28T00:00:00.000ZThe end date associated with the concession
| Method |
|---|
| propertyunits/getSpecials |
2025-02-28T00:00:00.000ZWhether the concession is active
| Method |
|---|
| propertyunits/getSpecials |
trueDescription of the concession
| Method |
|---|
| propertyunits/getSpecials |
Lease renewal concessionWhether or not the concession occurs a single time
| Method |
|---|
| propertyunits/getSpecials |
trueWhether or not the concession is recurring
| Method |
|---|
| propertyunits/getSpecials |
The monthly fixed amount of the concession in cents
| Method |
|---|
| propertyunits/getSpecials |
12300The monthly percentage amount of the concession. This is rounded to the nearest percent
| Method |
|---|
| propertyunits/getSpecials |
15The raw monthly percentage amount of the concession as a string, preserving decimal precision
| Method |
|---|
| propertyunits/getSpecials |
15.23The one time fixed amount of the concession in cents
| Method |
|---|
| propertyunits/getSpecials |
1200The one time percentage amount of the concession. This is rounded to the nearest percent
| Method |
|---|
| propertyunits/getSpecials |
10The raw one time percentage amount of the concession as a string, preserving decimal precision
| Method |
|---|
| propertyunits/getSpecials |
10.45The number of occurrences of the concession
This field will always be null for ENTRATA
nullThe fixed amount of the concession in cents
| Method |
|---|
| propertyunits/getSpecials |
12200The percentage amount of the concession. This is rounded to the nearest percent
| Method |
|---|
| propertyunits/getSpecials |
15The raw percentage amount of the concession as a string, preserving decimal precision
| Method |
|---|
| propertyunits/getSpecials |
15.23The amount of months for the lease term
| Method |
|---|
| propertyunits/getSpecials |
15The raw value for the lease term
| Method |
|---|
| propertyunits/getSpecials |
15 monthsThe raw formula name used to calculate the concession (e.g., "Fixed Amount", "Percent of Charge Code Group")
| Method |
|---|
| propertyunits/getSpecials |
Fixed AmountThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
ENTRATAAPPFOLIOBUILDIUMMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTENTRATAThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the unit
| Method |
|---|
| propertyunits/getSpecials |
cm9jzvir22142121432mxv9s39pz9s4The Propexo unique identifier for the floor plan
| Method |
|---|
| propertyunits/getSpecials |
cm9jzvir321421216451nqymhw1lrmdjwErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/concessions/:concession_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "321",
"x_property_id": "567",
"x_location_id": null,
"x_unit_id": "729",
"x_floor_plan_id": "12354",
"total_amount_in_cents": 23000,
"start_date": "2025-01-28T00:00:00.000Z",
"end_date": "2025-02-28T00:00:00.000Z",
"is_active": true,
"description": "Lease renewal concession",
"is_one_time": true,
"is_recurring": true,
"monthly_fixed_amount_in_cents": 12300,
"monthly_percentage_amount": 15,
"monthly_percentage_raw": "15.23",
"one_time_fixed_amount_in_cents": 1200,
"one_time_percentage_amount": 10,
"one_time_percentage_raw": "10.45",
"number_of_occurrences": null,
"fixed_amount_in_cents": 12200,
"percentage_amount": 15,
"percentage_raw": "15.23",
"lease_term_in_months": 15,
"lease_term_raw": "15 months",
"concession_formula_raw": "Fixed Amount",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "ENTRATA",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_id": "cm9jzvir22142121432mxv9s39pz9s4",
"floor_plan_id": "cm9jzvir321421216451nqymhw1lrmdjw"
}
}